Subject: Re: buggy tab-expansion
From: [email-masked] (Lars Munch)
To: Eric Blake <[email-masked]>
Cc: [email-masked]
Date: Thu, 21 Jul 2005 15:02:03 +0200

On Thu, Jul 21, 2005 at 06:10:48AM -0600, Eric Blake wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> According to Alex Goldman on 7/21/2005 3:00 AM:
> > Here's an example (I tried this in the original DOS/Cygwin terminal
> > and in Rxvt) :
> > 
> > 1. type "grep" in the command line, but don't hit Enter
> > 2. hit Tab quickly several times (two is often enough)
> > 
> > The line now becomes "grepp", even though there are no "grepp*" in PATH. 
> > 
> > (Hitting Enter invokes "grep" - single 'p')
> 
> This sounds related to the buggy prompt display code.  There is a known
> issue in readline where some (but not all) prompts cause display problems,
> because the display engine isn't properly accounting for invisible
> characters in the string, and I am awaiting a patch from the upstream
> maintainer.  In the meantime, I was unable to reproduce the symptoms;
> could you please let me know what your $PS1 variable is?

I have also been having this problem for the last month or so. My PS1 is
a long nasty one:

\[\e]2;\u@\h \w\a\e[32m\]\u\[\e[34;1m\]@\[\e[0m\e[32m\]\h\[\e[34;1m\]:\[\e[0m\e[33m\]\W\[\e[34;1m\]>\[\e[0m\]

Regards
Lars Munch

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/